Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Unable to start xfce as user
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
tuxtop
n00b
n00b


Joined: 28 Aug 2015
Posts: 15

PostPosted: Thu Sep 03, 2015 9:34 pm    Post subject: Unable to start xfce as user Reply with quote

Dear Forum

As I now tried every hint I found in the internet (or at least over google and ddgo :wink: ) and nothing works, I hope somebody here might have the answer for me

As root everything works fine. Regardless of using startx of startxfce4 I end op in the Desktop, I now installed slim too and this works perfectly with root too.

However, when I try as normal user I end up getting a message (looking like an xfce warning)
Quote:
Unable to determine failsafe session name
with some more text about what might be the problem

So I checked if dbus is running, yes, the folders in ~/.config have the appropriate rights and so on.

But still I get this said message as non-root user.


Thank you in advance for helping :oops:
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Fri Sep 04, 2015 9:46 am    Post subject: Reply with quote

Code:
cat /etc/conf.d/xdm
# We always try and start X on a static VT. The various DMs normally default
# to using VT7. If you wish to use the xdm init script, then you should ensure
# that the VT checked is the same VT your DM wants to use. We do this check to
# ensure that you haven't accidentally configured something to run on the VT
# in your /etc/inittab file so that you don't get a dead keyboard.
CHECKVT=7

# What display manager do you use ?  [ xdm | gdm | kdm | gpe | entrance ]
# NOTE: If this is set in /etc/rc.conf, that setting will override this one.
DISPLAYMANAGER="slim"


You may adapt this file to your needs and than add xdm to runlevel default with rc-update add .... ....
Back to top
View user's profile Send private message
tuxtop
n00b
n00b


Joined: 28 Aug 2015
Posts: 15

PostPosted: Fri Sep 04, 2015 11:35 am    Post subject: Reply with quote

The file looked already exactly like the one you posted. :cry:
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Fri Sep 04, 2015 11:53 am    Post subject: Reply with quote

rc-update show

does service xdm exists in runlevel default?

if it does the service which is in the other file will be run, which is slim in my case..
Back to top
View user's profile Send private message
tuxtop
n00b
n00b


Joined: 28 Aug 2015
Posts: 15

PostPosted: Fri Sep 04, 2015 12:45 pm    Post subject: Reply with quote

yes xdm is in default runlevel

Slim works perfectly i can login with root & password an then the xfce desktop appears but i still get the error "Unable to determine failsafe session name" when trying with username & password
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Fri Sep 04, 2015 2:26 pm    Post subject: Reply with quote

http://lmgtfy.com/?q=%22Unable+to+determine+failsafe+session+name%22

https://bbs.archlinux.org/viewtopic.php?id=77646 Seems reasonable

i did not checked other results.

May I kindly ask you to try that and also read the other hints and than report back if it works or if there is something new, ty

Quote:
https://forums.gentoo.org/viewtopic-t-808713-start-0.html
Back to top
View user's profile Send private message
tuxtop
n00b
n00b


Joined: 28 Aug 2015
Posts: 15

PostPosted: Fri Sep 04, 2015 11:26 pm    Post subject: Reply with quote

Well as I said I tried already all hints I found in google and this includes the ones from the archforum. Since nothing of that worked I decided to ask my question here :oops:
Back to top
View user's profile Send private message
-Fin-roller
n00b
n00b


Joined: 13 Aug 2015
Posts: 14
Location: Paimio

PostPosted: Sat Sep 05, 2015 8:18 am    Post subject: Reply with quote

Heh, did the googling include this one too?
https://forums.gentoo.org/viewtopic-t-808713-start-0.html

Could post little more besides the last line of console output too when you try to do startxfce4 from the command line please =). Or is that the only thing that's printed?
Back to top
View user's profile Send private message
tuxtop
n00b
n00b


Joined: 28 Aug 2015
Posts: 15

PostPosted: Sat Sep 05, 2015 7:03 pm    Post subject: Reply with quote

Hi

Yes I also found this thread while googling :D

Tried everything I found there except the adding to the groups since I have none of those groups listed (cat /etc/group) :?:


This is the only error i get and it seems to be displayed in a xfce-styled message-window. I can only hit close and then get back to the slim-loginscreen which is kind of flickering but I can then login again (as root which works and also ends the flickering)

I looked at /var/log/Xorg.log but found nothing that looked like an error not even the error i get displayed is logged there
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Sun Sep 06, 2015 9:36 am    Post subject: Reply with quote

how about using lxdm?

lxdm -d, kinda starts it in daemon mode, quite enough when you start it from cli.
Back to top
View user's profile Send private message
-Fin-roller
n00b
n00b


Joined: 13 Aug 2015
Posts: 14
Location: Paimio

PostPosted: Sun Sep 06, 2015 1:02 pm    Post subject: Reply with quote

You should startxfce4 from command line and see what get printed in there.
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1410
Location: /uk/sheffield

PostPosted: Tue Sep 08, 2015 7:59 am    Post subject: Reply with quote

I've encountered similar sort of problem today.

I use slim (its in the default runlevel) so when booting I end up dropping into the slim login. Enter my username and password and instead of then getting prompted for my ssh RSA key password (since I use net-misc/ssh-askpass-fullscreen) I just get the desktop displayed without any toolbar (I have one normally), no mouse cursor, menu keys don't work.

No idea whats going on, recent updates included nm-applet (NetworkManager applet) and that changed /etc/xdg/autostart/nm-applet.desktop from...

Code:

Exec=dbus-launch nm-applet


...to...

Code:

Exec=nm-applet



So I tried reverting to the old config but no change when restarting slim via '/etc/init.d/xdm restart'.

I can use 'startxfce4' as user and the desktop starts fine which is perhaps suggesting there is something going on between slim and xfce thats gone awry, but no idea what that might be as there are no warnings/errors reported when using 'startxfce4'.

Weird and mildly frustrating.

EDIT : I use compiz as a window manager, is it possible this could be whats causing the problem? I don't really know and suspect not since I'm not getting past the ssh-askpass-fullscreen stage for compiz to have started and can run it fine if using startxfce4 so perhaps its something in the xinit process?
_________________
"Science is what we understand well enough to explain to a computer.  Art is everything else we do." - Donald Knuth
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1410
Location: /uk/sheffield

PostPosted: Wed Sep 09, 2015 6:43 am    Post subject: Reply with quote

Poking around I tried switching from Compiz to xfwm4 but this makes no difference, still can't login from Slim and don't get ssh-askpass-fullscreen appearing, but can log in to a terminal and startxfce4 no problem.

Very strange.

The packages I've updated in the last week or so are...

Code:

$ genlop -l | grep Sep | grep 2015
     Wed Sep  2 06:40:47 2015 >>> app-laptop/laptop-mode-tools-1.68
     Wed Sep  2 06:42:19 2015 >>> dev-vcs/git-2.5.1
     Wed Sep  2 07:13:06 2015 >>> sys-libs/ncurses-5.9-r101
     Wed Sep  2 07:16:18 2015 >>> sys-libs/libunwind-1.1
     Wed Sep  2 07:17:06 2015 >>> dev-util/google-perftools-2.0-r2
     Wed Sep  2 07:18:38 2015 >>> media-libs/tiff-4.0.5
     Wed Sep  2 07:19:14 2015 >>> dev-libs/leveldb-1.18-r1
     Wed Sep  2 07:19:48 2015 >>> sys-kernel/linux-headers-4.2
     Wed Sep  2 07:27:04 2015 >>> dev-qt/qtcore-5.4.2
     Wed Sep  2 07:27:50 2015 >>> dev-qt/qtsql-5.4.2
     Wed Sep  2 07:31:27 2015 >>> dev-qt/qtscript-5.4.2-r1
     Wed Sep  2 07:33:46 2015 >>> dev-qt/qtnetwork-5.4.2
     Wed Sep  2 07:35:06 2015 >>> x11-libs/gdk-pixbuf-2.30.8-r2
     Wed Sep  2 07:35:54 2015 >>> x11-libs/libdrm-2.4.64
     Wed Sep  2 07:36:55 2015 >>> x11-libs/libxkbcommon-0.5.0
     Wed Sep  2 07:40:59 2015 >>> app-text/libmwaw-0.3.6
     Wed Sep  2 07:41:34 2015 >>> app-crypt/libsecret-0.18.3
     Thu Sep  3 07:36:47 2015 >>> www-plugins/chrome-binary-plugins-46.0.2490.13_beta1
     Thu Sep  3 07:37:12 2015 >>> sys-apps/less-481
     Thu Sep  3 07:41:56 2015 >>> sys-kernel/gentoo-sources-4.2.0-r1
     Thu Sep  3 08:01:03 2015 >>> media-libs/mesa-11.0.0_rc2
     Thu Sep  3 08:02:22 2015 >>> dev-qt/qtdbus-5.4.2
     Thu Sep  3 08:02:34 2015 >>> x11-misc/wmctrl-1.07-r1
     Thu Sep  3 08:10:42 2015 >>> dev-qt/qtgui-5.4.2-r1
     Thu Sep  3 08:17:51 2015 >>> dev-qt/qtwidgets-5.4.2
     Thu Sep  3 08:18:44 2015 >>> dev-qt/qtopengl-5.4.2
     Thu Sep  3 08:24:25 2015 >>> dev-qt/qtquick1-5.4.2
     Thu Sep  3 09:22:30 2015 >>> dev-qt/qtprintsupport-5.4.2
     Thu Sep  3 09:24:28 2015 >>> dev-java/oracle-jdk-bin-1.8.0.60
     Thu Sep  3 14:17:16 2015 >>> www-client/chromium-45.0.2454.85
     Thu Sep  3 15:12:06 2015 >>> www-client/firefox-40.0.3
     Sun Sep  6 12:00:33 2015 >>> dev-libs/vala-common-0.28.1
     Sun Sep  6 12:02:50 2015 >>> dev-libs/libgcrypt-1.6.3-r5
     Sun Sep  6 12:03:25 2015 >>> x11-libs/libpciaccess-0.13.4
     Sun Sep  6 12:03:40 2015 >>> app-text/iso-codes-3.61
     Sun Sep  6 12:04:12 2015 >>> dev-util/gtk-update-icon-cache-3.16.5
     Sun Sep  6 12:05:10 2015 >>> dev-libs/libtasn1-4.6
     Sun Sep  6 12:16:31 2015 >>> dev-lang/php-5.6.13
     Sun Sep  6 12:22:16 2015 >>> net-nds/openldap-2.4.42
     Sun Sep  6 12:27:52 2015 >>> sys-fs/udev-225
     Sun Sep  6 12:28:10 2015 >>> net-misc/dhcpcd-6.9.3
     Sun Sep  6 12:28:43 2015 >>> dev-libs/libgusb-0.2.6
     Sun Sep  6 12:30:24 2015 >>> media-libs/libgphoto2-2.5.8
     Sun Sep  6 12:32:34 2015 >>> x11-misc/colord-1.2.12
     Sun Sep  6 12:33:52 2015 >>> gnome-base/librsvg-2.40.10
     Sun Sep  6 13:51:39 2015 >>> sys-devel/llvm-3.7.0
     Sun Sep  6 14:10:43 2015 >>> media-libs/mesa-11.0.0_rc2
     Sun Sep  6 15:12:21 2015 >>> media-plugins/gst-plugins-libav-1.4.5-r2
     Sun Sep  6 15:24:40 2015 >>> x11-libs/gtk+-3.16.6
     Sun Sep  6 15:26:19 2015 >>> net-wireless/bluez-5.34
     Sun Sep  6 15:26:58 2015 >>> www-client/vivaldi-1.0.264.3_p1
     Sun Sep  6 15:28:11 2015 >>> x11-themes/gtk-engines-2.20.2-r2
     Sun Sep  6 15:32:54 2015 >>> net-misc/networkmanager-1.0.6
     Sun Sep  6 15:33:58 2015 >>> app-editors/gedit-3.16.3
     Sun Sep  6 15:34:51 2015 >>> gnome-extra/nm-applet-1.0.6
     Sun Sep  6 15:35:20 2015 >>> net-misc/networkmanager-vpnc-1.0.6
     Mon Sep  7 15:56:51 2015 >>> sys-apps/iproute2-4.2.0
     Mon Sep  7 15:58:22 2015 >>> dev-python/cryptography-1.0.1
     Mon Sep  7 16:58:06 2015 >>> dev-java/oracle-jdk-bin-1.8.0.60-r1
     Mon Sep  7 16:58:53 2015 >>> sys-auth/consolekit-1.0.0
     Tue Sep  8 06:40:17 2015 >>> dev-libs/libassuan-2.3.0
     Tue Sep  8 06:41:06 2015 >>> dev-perl/DateManip-6.510.0
     Tue Sep  8 06:41:23 2015 >>> dev-ruby/rubygems-2.4.8
     Tue Sep  8 06:41:35 2015 >>> virtual/rubygems-11
     Tue Sep  8 06:41:52 2015 >>> dev-ruby/rake-10.4.2
     Tue Sep  8 06:42:06 2015 >>> dev-ruby/power_assert-0.2.4
     Tue Sep  8 06:42:23 2015 >>> dev-ruby/minitest-5.8.0
     Tue Sep  8 06:42:44 2015 >>> dev-ruby/json-1.8.3
     Tue Sep  8 06:43:03 2015 >>> dev-ruby/test-unit-3.1.3
     Tue Sep  8 06:43:21 2015 >>> dev-ruby/racc-1.4.12
     Tue Sep  8 06:43:45 2015 >>> dev-ruby/rdoc-4.1.2-r1
     Tue Sep  8 09:47:35 2015 >>> x11-wm/compiz-0.8.8-r3
     Tue Sep  8 09:48:28 2015 >>> x11-plugins/compiz-plugins-main-0.8.8
     Tue Sep  8 09:49:44 2015 >>> x11-plugins/compiz-plugins-extra-0.8.8
     Tue Sep  8 09:49:50 2015 >>> x11-drivers/xf86-video-vesa-2.3.4
     Tue Sep  8 09:50:13 2015 >>> x11-drivers/xf86-input-evdev-2.9.2
     Tue Sep  8 09:50:34 2015 >>> x11-drivers/xf86-input-keyboard-1.8.1
     Tue Sep  8 09:50:51 2015 >>> x11-drivers/xf86-video-fbdev-0.4.4
     Tue Sep  8 09:51:12 2015 >>> x11-drivers/xf86-input-synaptics-1.8.2
     Tue Sep  8 09:51:37 2015 >>> x11-drivers/xf86-input-mouse-1.9.1
     Tue Sep  8 09:53:04 2015 >>> x11-drivers/xf86-video-intel-2.99.917-r2
     Tue Sep  8 10:05:40 2015 >>> net-misc/ssh-askpass-fullscreen-1.0-r1
     Tue Sep  8 11:00:21 2015 >>> x11-misc/gtkdialog-0.8.3
     Tue Sep  8 11:00:30 2015 >>> xfce-extra/xfce4-composite-editor-0
     Tue Sep  8 11:39:03 2015 >>> x11-apps/simple-ccsm-0.8.4-r2
     Tue Sep  8 11:44:26 2015 >>> x11-drivers/xf86-video-intel-2.99.917-r2
     Tue Sep  8 11:58:48 2015 >>> x11-wm/emerald-0.8.8
     Tue Sep  8 11:59:00 2015 >>> x11-themes/emerald-themes-0.5.2
     Tue Sep  8 12:43:19 2015 >>> x11-themes/xfwm4-themes-4.10.0
     Tue Sep  8 13:07:54 2015 >>> x11-apps/fusion-icon-0.1-r4
     Tue Sep  8 13:35:58 2015 >>> media-gfx/imagemagick-6.9.2.0
     Tue Sep  8 13:42:52 2015 >>> dev-qt/qtxml-5.4.2
     Tue Sep  8 14:00:51 2015 >>> x11-libs/wxGTK-2.8.12.1-r2
     Tue Sep  8 15:07:14 2015 >>> dev-qt/qtchooser-0_p20150102
     Tue Sep  8 15:08:01 2015 >>> media-libs/libmng-2.0.3
     Tue Sep  8 15:08:38 2015 >>> media-libs/libdca-0.0.5-r3
     Tue Sep  8 15:11:03 2015 >>> dev-libs/cyrus-sasl-2.1.26-r9
     Tue Sep  8 15:16:06 2015 >>> media-libs/xvid-1.3.4
     Tue Sep  8 15:22:55 2015 >>> dev-qt/qtxmlpatterns-5.4.2
     Tue Sep  8 15:23:34 2015 >>> x11-libs/libwnck-3.14.0
     Tue Sep  8 15:23:46 2015 >>> dev-libs/gobject-introspection-1.44.0
     Tue Sep  8 15:25:32 2015 >>> media-libs/libsdl-1.2.15-r9
     Tue Sep  8 15:25:47 2015 >>> dev-qt/qtx11extras-5.4.2
     Tue Sep  8 15:34:34 2015 >>> dev-qt/qtquick1-5.4.2
     Tue Sep  8 15:35:58 2015 >>> media-sound/audacious-3.6.2
     Tue Sep  8 15:41:46 2015 >>> media-sound/pulseaudio-6.0
     Tue Sep  8 15:42:27 2015 >>> app-mobilephone/heimdall-1.4.1
     Tue Sep  8 15:43:14 2015 >>> xfce-base/libxfce4ui-4.12.1-r2
     Tue Sep  8 15:44:07 2015 >>> x11-libs/libwnck-2.31.0
     Tue Sep  8 15:46:29 2015 >>> media-libs/netpbm-10.70.00
     Tue Sep  8 15:55:25 2015 >>> media-libs/gst-plugins-bad-1.4.5
     Tue Sep  8 16:14:59 2015 >>> x11-libs/wxGTK-3.0.2.0-r2
     Tue Sep  8 16:15:56 2015 >>> xfce-base/libxfcegui4-4.10.0-r1

_________________
"Science is what we understand well enough to explain to a computer.  Art is everything else we do." - Donald Knuth
Back to top
View user's profile Send private message
sadhu
n00b
n00b


Joined: 12 Oct 2004
Posts: 15

PostPosted: Mon Sep 14, 2015 7:11 pm    Post subject: Reply with quote

I've got the same problem. After inputting password slim freezes. Stopping xdm and manually running startxfce4 works fine.

I think it may have happened after some of those updates:
Code:
     Sat Sep  5 21:26:42 2015 >>> media-plugins/live-2015.08.07
     Sat Sep  5 21:26:48 2015 >>> dev-libs/vala-common-0.28.1
     Sat Sep  5 21:27:02 2015 >>> dev-libs/libinput-1.0.1
     Sat Sep  5 21:27:24 2015 >>> net-misc/dhcpcd-6.9.3
     Sat Sep  5 21:27:30 2015 >>> dev-perl/Locale-gettext-1.50.0-r1
     Sat Sep  5 21:27:53 2015 >>> app-text/iso-codes-3.61
     Sat Sep  5 21:28:12 2015 >>> net-misc/youtube-dl-2015.09.03
     Sat Sep  5 21:29:43 2015 >>> dev-lang/vala-0.28.1
     Sat Sep  5 21:30:57 2015 >>> net-nds/openldap-2.4.42
     Sat Sep  5 21:31:28 2015 >>> dev-libs/libtasn1-4.6
     Sat Sep  5 21:31:59 2015 >>> dev-libs/libgusb-0.2.6
     Sat Sep  5 21:32:56 2015 >>> net-wireless/bluez-5.34
     Sat Sep  5 21:33:27 2015 >>> gnome-base/librsvg-2.40.10
     Sat Sep  5 21:33:35 2015 >>> dev-util/gtk-update-icon-cache-3.16.5
     Sat Sep  5 21:34:09 2015 >>> sys-block/gparted-0.23.0
     Sat Sep  5 21:37:23 2015 >>> x11-libs/gtk+-3.16.6
     Sat Sep  5 21:37:46 2015 >>> app-editors/gedit-3.16.3
     Sat Sep  5 23:15:50 2015 >>> www-client/chromium-45.0.2454.85
     Sun Sep  6 00:14:21 2015 >>> media-video/mplayer-1.2_pre20150730
     Sun Sep  6 20:30:28 2015 >>> dev-libs/libgcrypt-1.6.3-r5
     Sun Sep  6 20:30:39 2015 >>> sys-apps/iproute2-4.2.0
     Sun Sep  6 20:31:26 2015 >>> x11-misc/colord-1.2.12
     Sun Sep  6 20:33:20 2015 >>> sys-fs/udev-225
     Sun Sep  6 23:58:57 2015 >>> dev-python/cryptography-1.0.1
     Mon Sep  7 22:14:26 2015 >>> app-arch/unrar-5.3.3
     Mon Sep  7 22:14:58 2015 >>> sys-apps/util-linux-2.27
     Mon Sep  7 22:15:21 2015 >>> sys-fs/xfsprogs-4.2.0
     Mon Sep  7 23:22:24 2015 >>> sys-devel/llvm-3.7.0-r1
     Mon Sep  7 23:22:28 2015 >>> sys-devel/clang-3.7.0-r100
     Mon Sep  7 23:26:34 2015 >>> media-libs/mesa-11.0.0_rc3
     Mon Sep  7 23:26:51 2015 >>> sys-auth/consolekit-1.0.0
Back to top
View user's profile Send private message
kiksen
Guru
Guru


Joined: 24 Jun 2002
Posts: 401
Location: Denmark

PostPosted: Mon Sep 14, 2015 7:29 pm    Post subject: Reply with quote

Hi.

Maybe the problem is related to the upgrade to consolekit 1.0. More info in the bug: https://bugs.gentoo.org/show_bug.cgi?id=560088.
If you're on ~ and have upgrade consolekit it's worth trying a downgrade.
Back to top
View user's profile Send private message
sadhu
n00b
n00b


Joined: 12 Oct 2004
Posts: 15

PostPosted: Mon Sep 14, 2015 8:15 pm    Post subject: Reply with quote

Yup, downgrading consolekit solved it! Thanks.
Back to top
View user's profile Send private message
slackline
Veteran
Veteran


Joined: 01 Apr 2005
Posts: 1410
Location: /uk/sheffield

PostPosted: Tue Sep 15, 2015 6:11 am    Post subject: Reply with quote

kiksen wrote:
Hi.

Maybe the problem is related to the upgrade to consolekit 1.0. More info in the bug: https://bugs.gentoo.org/show_bug.cgi?id=560088.
If you're on ~ and have upgrade consolekit it's worth trying a downgrade.


Thanks for the pointer to this bug.

There is no need to downgrade, as per the bug slim has now been patched and works again.
_________________
"Science is what we understand well enough to explain to a computer.  Art is everything else we do." - Donald Knuth
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum